CSVShapeInfoFile (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.shape
Class CSVShapeInfoFile

    java.lang.Object
      com.bbn.openmap.io.CSVFile
          com.bbn.openmap.layer.shape.CSVShapeInfoFile

All Implemented Interfaces:
  java.lang.Iterable<java.util.Vector<java.lang.Object>>

    public class CSVShapeInfoFile

extends CSVFile

The CSVShapeInfoFile holds on to the contents of a CSV file, with the intent of cross referencing the contents of the file with the contents of a shape file. The order that the contents are read should correspond to the order that the shapefile contents are read.

NOTE: By default, the numbers that are found in the CSV file are converted to Doubles. Use the load(boolean) method to control this, especially if you are using the fields later as the key in a Hashtable.

Field Summary

Fields inherited from class com.bbn.openmap.io.CSVFile
`headerRecord, headersExist, infoRecords, infoUrl`

Constructor Summary
`CSVShapeInfoFile(java.lang.String name)` Don't do anything special, since all defaults are set already
`CSVShapeInfoFile(java.net.URL url)` Don't do anything special, since all defaults are set already

Method Summary
`void` | `loadIntoGraphics(OMGraphicList list)` This function takes an OMGraphicList and loads each one with the vector representing the records in the csv file.

Methods inherited from class com.bbn.openmap.io.CSVFile
`getNumberOfRecords, getRecord, isHeadersExist, iterator, loadData, loadData, setHeadersExist`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSVShapeInfoFile

    public CSVShapeInfoFile(java.lang.String name)
                     throws java.net.MalformedURLException

  Don't do anything special, since all defaults are set already

  Throws:
    `java.net.MalformedURLException`

### CSVShapeInfoFile

    public CSVShapeInfoFile(java.net.URL url)
                     throws java.net.MalformedURLException

  Don't do anything special, since all defaults are set already

  Throws:
    `java.net.MalformedURLException`

Method Detail

### loadIntoGraphics

    public void loadIntoGraphics(OMGraphicList list)

  This function takes an OMGraphicList and loads each one with the vector representing the records in the csv file. Each graphics stores the graphic in its object slot.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details